---
nav: All Components
meta:
  title: All Vuetify Components
  description: Browse all of the available Vuetify components or group by category.
  keywords: components, all components, all Vuetify components
---

<script setup>
  import ComponentsListItem from '@/components/components/ListItem.vue'
</script>

# Components

Vuetify Components are interactive building blocks for creating user interfaces.

<entry />

<br>
<br>

<v-row>

<components-list-item name="alerts">

  Alerts convey important information to the user

</components-list-item>

<components-list-item name="avatars">

  Avatars are used in numerous components to display avatars and profile pictures

</components-list-item>

<components-list-item name="app-bars">

  The app bar is used for top level navigation items and current page actions

</components-list-item>

<components-list-item name="application">

  Optional root component used to easily modify theme

</components-list-item>

<components-list-item name="aspect-ratios">

  The aspect ratio component enforces a defined ratio

</components-list-item>

<components-list-item name="badges">

  Badges superscript or subscript an avatar-like icon or text onto content.

</components-list-item>

<components-list-item name="banners">

  Banners are used to communicate important information to the user

</components-list-item>

<components-list-item name="bottom-navigation">

  The bottom navigation component is used for displaying navigation links on mobile

</components-list-item>

<components-list-item name="breadcrumbs">

  Breadcrumbs are navigational helpers for router pages.

</components-list-item>

<components-list-item name="carousels">

  Carousels are used to display multiple forms of visual content

</components-list-item>

<components-list-item name="chips">

  Chips are useful for displaying small pieces of information

</components-list-item>

<components-list-item name="dialogs">

  The dialog component is used for displaying critical information

</components-list-item>

<components-list-item name="buttons">

  The button component allows users to take actions or make choices with a single tap

</components-list-item>

<components-list-item name="footers">

  The footer component is a simple navigation area with inner site links

</components-list-item>

<components-list-item name="lists">

  The list component is a display interface for items

</components-list-item>

<components-list-item name="navigation-drawers">

  Navigation drawers contain primary application navigation links

</components-list-item>

<components-list-item name="pagination">

  The Pagination component is used to separate long sets of data

</components-list-item>

<components-list-item name="radios">

  The radio component is a replacement for its native counterpart

</components-list-item>

<components-list-item name="ratings">

  Ratings are useful for collecting user feedback

</components-list-item>

<components-list-item name="toolbars">

  Typically used to hold navigation items or actions

</components-list-item>

<components-list-item name="system-bars">

  The system bar component shows application information with iconography, time, and more

</components-list-item>

</v-row>

<backmatter />
