---
nav: For Enterprise
meta:
  title: Enterprise support from Vuetify
  description: Get the tools you need to continuously catalog and understand the open source software that your application depends on with the Tidelift subscription.
  keywords: vuetify enterprise, tidelift enterprise, tidelift vuetify
related:
  - /introduction/support/
  - /about/security-disclosure/
  - /introduction/meet-the-team/
---

<script setup>
  import EnterpriseForm from '@/components/introduction/EnterpriseForm.vue'
</script>

# Enterprise support from Vuetify

Let the experts at Vuetify help you get the most out of your application with a customized support plan from the the team behind the framework.

![Enterprise support Entry](https://cdn.vuetifyjs.com/docs/images/entry/enterprise-support-entry.png)

----

## Why do I need support?

Simply put, because it protects your investment. At Vuetify, we want you to be successful. Our services are designed to provide the right mix of support and access to expertise so that you can be successful while optimizing performance, managing risk, and keeping costs under control. Available services include:

* [Project upgrades](#project-upgrades)
* [Full application review](#full-application-review)
* [Direct developer support](#direct-developer-support)
<!-- * [Training & workshops](#training-workshops) -->

With hundreds of components, directives, and features, our team can provide a combination of various tools, technologies, programs and resources to proactively help your development team succeed.

<v-btn color="primary" variant="flat" href="#request-service">Request Support Now</v-btn>

----

### Project upgrades

Let our experts work with your team of developers to create a personalized **upgrade guide** designed to reduce the development time spent updating your project.

* 🛠️ Build tooling (Vite & Vue CLI)
* 📂 File structure changes
* 🎉 New framework terminology
* ✨ Development tips & tricks
* 🛣️ Long-term planning

### Full application review

Having a properly optimized application can be the difference between success and failure. Our team will review your existing application and provide a detailed report on various aspects such as:

* 📦 Project structure
* ⌨️ Code quality
* 🌎 Search Engine Optimization
* ⚡ Performance
* 🔐 Security

### Direct developer support

We offer live support for your Vue / Vuetify application on a variety of areas and will help you resolve bugs, provide insight on advanced implementation techniques, and provide you with the best practices and procedures in modern development. Some other areas we can assist you in:

* 🏗️ Custom components
* 🖥️ IDE & environment setup
* 🛒 Stores & global state (Pinia)
* 🧪 Unit testing
* ✈️ Routing

<!-- ### Training & workshops { id="training-workshops" }

Our team provides custom workshops for all skill levels that are designed to help you get the most out of your Vuetify application. We will travel* to your place of business and conduct a hands-on 3 day workshop where your team works with our engineers to fine tune your development process and hone your effeciency skills.

<small>*United States only</small> -->

<br>

<enterprise-form />

<backmatter />
